var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React, { forwardRef, useRef, useImperativeHandle, useEffect, useState, Fragment } from 'react';
import Dialog from './../Dialog';
import MenuTiled from './../MenuTiled';

var DropdownDialog = forwardRef(function (_ref, ref) {
  var top = _ref.top,
      show = _ref.show,
      onClickMask = _ref.onClickMask,
      _ref$dialogProps = _ref.dialogProps,
      dialogProps = _ref$dialogProps === undefined ? {} : _ref$dialogProps,
      list = _ref.list,
      selected = _ref.selected,
      onChange = _ref.onChange,
      _ref$menutiledProps = _ref.menutiledProps,
      menutiledProps = _ref$menutiledProps === undefined ? {} : _ref$menutiledProps;

  return React.createElement(
    Dialog,
    _extends({
      maskAttribute: { onClick: onClickMask, style: { top: top + 'px' } },
      animation: 'slideDown',
      style: { width: '100%' },
      show: show
    }, dialogProps),
    React.createElement(MenuTiled, _extends({
      list: list,
      selected: selected,
      onChange: onChange
    }, menutiledProps))
  );
});

export default DropdownDialog;